﻿using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            plot.Palette = ScottPlot.Drawing.Palette.Nord;

            double[] valueArray = { 100, 80, 65, 45, 50 };

            RadialGaugePlot radialGaugePlot = plot.AddRadialGauge(valueArray);

            radialGaugePlot.GaugeMode = RadialGaugeMode.Sequential;

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}